package com.imofan.android.develop.sns;

/**
 * 开发平台用户信息Bean
 */
public class MFSnsUser {
    private String openId;           //开放平台的用户open id
    private String accessToken;     //开放平台access token
    private long expire;             //access token的有效时间，单位：秒
    private String nickname;        //用户昵称
    private String brief;            //个人简介
    private String[] icons;          //不同尺寸的用户头像
    private long loginTime;         //用户登录时间，单位：毫秒

    public long getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(long loginTime) {
        this.loginTime = loginTime;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public long getExpire() {
        return expire;
    }

    public void setExpire(long expire) {
        this.expire = expire;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }

    public String[] getIcons() {
        return icons;
    }

    public void setIcons(String[] icons) {
        this.icons = icons;
    }
}
